Subject: Re: New Version Notification for draft-herbert-6man-exp-opts-01.txt

From: Tom Herbert <[email-masked]>
Date: Wed, 22 May 2019 10:04:33 -0700

Hello,

This is a small update to the experimental options draft for IPv6 HBH
and DO options. The only material change change is that the
experimental identifier 0x0 is reserved for internal implementation
use (this is convenient to represent the "null" experimental
identifier).

I have a working implementation of the draft in Linux that implements
the Path MTU option and FAST option using the experimental option type
identifiers. I will be working on getting that into the upstream Linux
kernel. Also, I'm hoping to use this for some project in IETF #105
hackathon (supporting IOAM HBH option might be a good candidate).

I would like to request that the 6man working group considers taking
this up as a working group item.

Thanks,
Tom

On Wed, May 22, 2019 at 9:53 AM Tom Herbert <[email-masked]> wrote:
>
> ---------- Forwarded message ---------
> From: <[email-masked]>
> Date: Wed, May 22, 2019 at 9:53 AM
> Subject: New Version Notification for draft-herbert-6man-exp-opts-01.txt
> To: Tom Herbert <[email-masked]>
>
>
>
> A new version of I-D, draft-herbert-6man-exp-opts-01.txt
> has been successfully submitted by Tom Herbert and posted to the
> IETF repository.
>
> Name:           draft-herbert-6man-exp-opts
> Revision:       01
> Title:          Shared Use of Experimental Hop-by-Hop and Destination Options
> Document date:  2019-05-22
> Group:          Individual Submission
> Pages:          9
> URL:
> https://www.ietf.org/internet-drafts/draft-herbert-6man-exp-opts-01.txt
> Status:         https://datatracker.ietf.org/doc/draft-herbert-6man-exp-opts/
> Htmlized:       https://tools.ietf.org/html/draft-herbert-6man-exp-opts-01
> Htmlized:
> https://datatracker.ietf.org/doc/html/draft-herbert-6man-exp-opts
> Diff:           https://www.ietf.org/rfcdiff?url2=draft-herbert-6man-exp-opts-01
>
> Abstract:
>    This document describes how the experimental IPv6 Hop-by-Hop and
>    Destinations Option types can concurrently support different
>    experimental options. This is accomplished by employing a format in
>    the Option Data for experimental option types. The format contains an
>    experiment identifier that indicates an experimental option contained
>    in the trailing Option Data. This approach is robust to experiments
>    that are not registered and to those that do not use this sharing
>    mechanism.  It is recommended for all new Destination and Hop-by-Hop
>    options that use experimental codepoints.
>
>
>
>
> Please note that it may take a couple of minutes from the time of submission
> until the htmlized version and diff are available at tools.ietf.org.
>
> The IETF Secretariat